org.eclipse.emf.cdo.common.id

## Interface CDOWithID

- All Known Subinterfaces:
    Access, AndFilter, Annotation, Assignee, BooleanValue, ByteValue, CDOBinaryResource, CDOFileResource<IO>, CDOObject, CDOResource, CDOResourceFolder, CDOResourceLeaf, CDOResourceNode, CDOStaleObject, CDOTextResource, CharValue, ClassFilter, ClassPermission, CombinedFilter, ContainedObject, ContextAccess, Directory, DoubleValue, Expression, ExpressionFilter, FilterPermission, FloatValue, FunctionInvocation, Group, InternalCDOObject, InternalCDOResource, IntValue, Invocation, LinkedExpression, LinkedFilter, LinkedObject, ListConstruction, LongValue, MemberAccess, MemberInvocation, ModelElement, NotFilter, ObjectFilter, ObjectPermission, OrFilter, PackageFilter, PackagePermission, Permission, PermissionFilter, Realm, ResourceFilter, ResourcePermission, Role, SecurityElement, SecurityItem, ShortValue, StaticAccess, StringValue, User, UserPassword, Value
  All Known Implementing Classes:
    AccessImpl, AndFilterImpl, AnnotationImpl, AssigneeImpl, BooleanValueImpl, ByteValueImpl, CDOBinaryResourceImpl, CDOFileResourceImpl, CDOObjectImpl, CDOResourceFolderImpl, CDOResourceImpl, CDOResourceLeafImpl, CDOResourceNodeImpl, CDOTextResourceImpl, CharValueImpl, ClassFilterImpl, ClassPermissionImpl, CombinedFilterImpl, ContainedObjectImpl, ContextAccessImpl, DirectoryImpl, DoubleValueImpl, ExpressionFilterImpl, FilterPermissionImpl, FloatValueImpl, FunctionInvocationImpl, GroupImpl, IntValueImpl, InvocationImpl, LinkedExpressionImpl, LinkedFilterImpl, LinkedObjectImpl, ListConstructionImpl, LongValueImpl, MemberAccessImpl, MemberInvocationImpl, ModelElementImpl, NotFilterImpl, ObjectFilterImpl, ObjectPermissionImpl, OrFilterImpl, PackageFilterImpl, PackagePermissionImpl, PermissionFilterImpl, PermissionImpl, RealmImpl, ResourceFilterImpl, ResourcePermissionImpl, RoleImpl, SecurityElementImpl, SecurityItemImpl, ShortValueImpl, StaticAccessImpl, StringValueImpl, UserImpl, UserPasswordImpl, ValueImpl

      public interface CDOWithID

  An identifiable object.
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    `CDOIDUtil.getCDOID(Object)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID` | `cdoID()`

- - ### Method Detail

    - #### cdoID

          CDOID cdoID()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html